Description

The "layer source" for a WMS layer when you go to layer properties says something like:

crs=EPSG:27700&featureCount=10&format=image/png&layers=z_OS_Vector_Basemap&styles=&url=http://wppgeog3/geoserver/ows

Obviously that's invalid.

History

#1 - 2013-10-16 07:03 AM - Jonathan Moules

It's also wrong for WCS.

But seems to be right for WFS.

#2 - 2014-01-24 03:35 AM - Jonathan Moules

The WMS query shown is wrong on a number of levels:

1) It doesn't start with the URL, but ends with it as a parameter.

2) There's no notion of "featureCount" in WMS

3) Many required parameters are missing.

4) In QGIS Master I'm seeing an extra parameter - &dpiMode=4. Something else that's not in the spec as best I can tell.

If this is not meant to be a valid URL, then why is it displayed to the user? What can the user do with it?

#3 - 2014-01-24 03:41 AM - Saber Razmjooei

The information in the field is actually right - for all data providers it displays the internal resource identifier. For some providers it is a file name, for others

(such as WMS) it is a more complex, cryptic looking sequence. The question really is, if it makes sense to display that information - it is already shown also

in metadata tab.

#4 - 2014-01-24 04:40 AM - Jonathan Moules

I'd suggest therefore that it shouldn't be shown. Instead it should show the server name that has been connected to. I know that's hidden away on the

metadata page, but putting it somewhere obvious would be nice too.

I also think that unless "featureCount" means something special for QGIS, it may be indicative of something not-quite-right in the WMS reader.
#5 - 2014-01-24 04:48 AM - Giovanni Manghi

Jonathan Moules wrote:

I'd suggest therefore that it shouldn't be shown. Instead it should show the server name that has been connected to. I know that's hidden away on

the metadata page, but putting it somewhere obvious would be nice too.

I also think that unless "featureCount" means something special for QGIS, it may be indicative of something not-quite-right in the WMS reader.

if the source is a vector then "featurecount" has a meaning. When you add a wms layer you see an option "feature limit for getfeatureinfo", and this number

is the one displayed as "featurecount".

#6 - 2014-01-27 01:19 AM - Martin Dobias

Then to avoid more confusion I suggest to just remove the whole "Layer source" field.

Currently the is no universal way to extract the "important" part of the layer source (e.g. file name, server name). Even then, one could argue whether or not

display also further information such as original layer name (as used by server), sub-layer identification (data provider specific).

#7 - 2014-02-04 08:04 AM - Jonathan Moules

Removing is seems like an idea, at least as long as it doesn't mean anything to the user.

Adding a layer-source that has meaning would be a suggestion, but that's a separate ticket.

#8 - 2014-02-04 09:32 AM - Jonathan Moules

Note - also seems like it should be removed from the "Browser" layer-properties too.

#9 - 2014-06-21 12:35 PM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

- Subject changed from Layer source for WMS layer - wrong? to Don't show provider specific layer data source string

- Category set to Map Legend

#10 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
